JUCE: littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext Struct Reference

JUCE

Public Member Functions | List of all members
littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext Struct Reference

## Public Member Functions
| FunctionExecutionContext ()=default
| FunctionExecutionContext (const FunctionExecutionContext &)=default
FunctionExecutionContext & | operator= (const FunctionExecutionContext &)=default
| FunctionExecutionContext (Runner &r, const char *functionSignature) noexcept
| FunctionExecutionContext (Runner &r, FunctionID function) noexcept
bool | isValid () const noexcept
void | reset () noexcept
template<typename... Args>
void | setArguments (Args... args) noexcept
template<typename TimeOutCheckFunction >
ErrorCode | run (TimeOutCheckFunction hasTimedOut) noexcept

## Constructor & Destructor Documentation

## ◆ FunctionExecutionContext() [1/4]

template<int programAndHeapSpace, int stackAndGlobalsSpace>

littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::FunctionExecutionContext | ( |  | ) |
| default

## ◆ FunctionExecutionContext() [2/4]

template<int programAndHeapSpace, int stackAndGlobalsSpace>

littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::FunctionExecutionContext | ( | const FunctionExecutionContext & |  | ) |
| default

## ◆ FunctionExecutionContext() [3/4]

template<int programAndHeapSpace, int stackAndGlobalsSpace>

littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::FunctionExecutionContext | ( | Runner & | r,
|  | const char * | functionSignature
| ) |  |
| noexcept

## ◆ FunctionExecutionContext() [4/4]

template<int programAndHeapSpace, int stackAndGlobalsSpace>

littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::FunctionExecutionContext | ( | Runner & | r,
|  | FunctionID | function
| ) |  |
| noexcept

## Member Function Documentation

## ◆ operator=()

template<int programAndHeapSpace, int stackAndGlobalsSpace>

FunctionExecutionContext& littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::operator= | ( | const FunctionExecutionContext & |  | ) |
| default

## ◆ isValid()

template<int programAndHeapSpace, int stackAndGlobalsSpace>

bool littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::isValid | ( |  | ) | const
| noexcept

Referenced by littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::run().

## ◆ reset()

template<int programAndHeapSpace, int stackAndGlobalsSpace>

void littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::reset | ( |  | ) |
| noexcept

## ◆ setArguments()

template<int programAndHeapSpace, int stackAndGlobalsSpace>
template<typename... Args>

void littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::setArguments | ( | Args... | args | ) |
| noexcept

## ◆ run()

template<int programAndHeapSpace, int stackAndGlobalsSpace>
template<typename TimeOutCheckFunction >

ErrorCode littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::run | ( | TimeOutCheckFunction | hasTimedOut | ) |
| noexcept

References littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::executionTimedOut, littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::FunctionExecutionContext::isValid(), jassert, LITTLEFOOT_OPCODES, LITTLEFOOT_PERFORM_OP, LITTLEFOOT_PERFORM_OP_INT16, LITTLEFOOT_PERFORM_OP_INT32, LITTLEFOOT_PERFORM_OP_INT8, littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::unknownFunction, and littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::unknownInstruction.

Referenced by littlefoot::Runner< programAndHeapSpace, stackAndGlobalsSpace >::callFunction().

The documentation for this struct was generated from the following file:

- juce_LittleFootRunner.h